pcl::PPFRGBRegionEstimation< PointInT, PointNT, PointOutT > Class Template Reference

`#include <pcl/features/ppfrgb.h>`

Inheritance diagram for pcl::PPFRGBRegionEstimation< PointInT, PointNT, PointOutT >:

## Public Types

typedef boost::shared_ptr< PPFRGBRegionEstimation< PointInT, PointNT, PointOutT > > | Ptr
typedef boost::shared_ptr< const PPFRGBRegionEstimation< PointInT, PointNT, PointOutT > > | ConstPtr
typedef pcl::PointCloud< PointOutT > | PointCloudOut
Public Types inherited from pcl::FeatureFromNormals< PointInT, PointNT, PointOutT >
typedef pcl::PointCloud< PointNT > | PointCloudN
typedef PointCloudN::Ptr | PointCloudNPtr
typedef PointCloudN::ConstPtr | PointCloudNConstPtr
typedef boost::shared_ptr< FeatureFromNormals< PointInT, PointNT, PointOutT > > | Ptr
typedef boost::shared_ptr< const FeatureFromNormals< PointInT, PointNT, PointOutT > > | ConstPtr
Public Types inherited from pcl::Feature< PointInT, PointOutT >
typedef PCLBase< PointInT > | BaseClass
typedef boost::shared_ptr< Feature< PointInT, PointOutT > > | Ptr
typedef boost::shared_ptr< const Feature< PointInT, PointOutT > > | ConstPtr
typedef pcl::search::Search< PointInT > | KdTree
typedef pcl::search::Search< PointInT >::Ptr | KdTreePtr
typedef pcl::PointCloud< PointInT > | PointCloudIn
typedef PointCloudIn::Ptr | PointCloudInPtr
typedef PointCloudIn::ConstPtr | PointCloudInConstPtr
typedef pcl::PointCloud< PointOutT > | PointCloudOut
typedef boost::function< int(size_t, double, std::vector< int > &, std::vector< float > &)> | SearchMethod
typedef boost::function< int(const PointCloudIn &cloud, size_t index, double, std::vector< int > &, std::vector< float > &)> | SearchMethodSurface
Public Types inherited from pcl::PCLBase< PointInT >
typedef pcl::PointCloud< PointInT > | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointIndices > | PointIndicesPtr
typedef boost::shared_ptr< PointIndices const > | PointIndicesConstPtr

## Public Member Functions

| PPFRGBRegionEstimation ()
Public Member Functions inherited from pcl::FeatureFromNormals< PointInT, PointNT, PointOutT >
| FeatureFromNormals ()
| Empty constructor. More...
virtual | ~FeatureFromNormals ()
| Empty destructor. More...
void | setInputNormals (const PointCloudNConstPtr &normals)
| Provide a pointer to the input dataset that contains the point normals of the XYZ dataset. More...
PointCloudNConstPtr | getInputNormals () const
| Get a pointer to the normals of the input XYZ point cloud dataset. More...
Public Member Functions inherited from pcl::Feature< PointInT, PointOutT >
| Feature ()
| Empty constructor. More...
virtual | ~Feature ()
| Empty destructor. More...
void | setSearchSurface (const PointCloudInConstPtr &cloud)
| Provide a pointer to a dataset to add additional information to estimate the features for every point in the input dataset. More...
PointCloudInConstPtr | getSearchSurface () const
| Get a pointer to the surface point cloud dataset. More...
void | setSearchMethod (const KdTreePtr &tree)
| Provide a pointer to the search object. More...
KdTreePtr | getSearchMethod () const
| Get a pointer to the search method used. More...
double | getSearchParameter () const
| Get the internal search parameter. More...
void | setKSearch (int k)
| Set the number of k nearest neighbors to use for the feature estimation. More...
int | getKSearch () const
| get the number of k nearest neighbors used for the feature estimation. More...
void | setRadiusSearch (double radius)
| Set the sphere radius that is to be used for determining the nearest neighbors used for the feature estimation. More...
double | getRadiusSearch () const
| Get the sphere radius used for determining the neighbors. More...
void | compute (PointCloudOut &output)
| Base method for feature estimation for all points given in <setInputCloud (), setIndices ()> using the surface in setSearchSurface () and the spatial locator in setSearchMethod () More...
Public Member Functions inherited from pcl::PCLBase< PointInT >
| PCLBase ()
| Empty constructor. More...
| PCLBase (const PCLBase &base)
| Copy constructor. More...
virtual | ~PCLBase ()
| Destructor. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Provide a pointer to the input dataset. More...
PointCloudConstPtr const | getInputCloud () const
| Get a pointer to the input point cloud dataset. More...
virtual void | setIndices (const IndicesPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (const IndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (const PointIndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (size_t row_start, size_t col_start, size_t nb_rows, size_t nb_cols)
| Set the indices for the points laying within an interest region of the point cloud. More...
IndicesPtr const | getIndices ()
| Get a pointer to the vector of indices used. More...
IndicesConstPtr const | getIndices () const
| Get a pointer to the vector of indices used. More...
const PointInT & | operator[] (size_t pos) const
| Override PointCloud operator[] to shorten code. More...

## Additional Inherited Members

Protected Member Functions inherited from pcl::FeatureFromNormals< PointInT, PointNT, PointOutT >
virtual bool | initCompute ()
| This method should get called before starting the actual computation. More...
Protected Member Functions inherited from pcl::Feature< PointInT, PointOutT >
const std::string & | getClassName () const
| Get a string representation of the name of this class. More...
virtual bool | deinitCompute ()
| This method should get called after ending the actual computation. More...
int | searchForNeighbors (size_t index, double parameter, std::vector< int > &indices, std::vector< float > &distances) const
| Search for k-nearest neighbors using the spatial locator from setSearchmethod, and the given surface from setSearchSurface. More...
int | searchForNeighbors (const PointCloudIn &cloud, size_t index, double parameter, std::vector< int > &indices, std::vector< float > &distances) const
| Search for k-nearest neighbors using the spatial locator from setSearchmethod, and the given surface from setSearchSurface. More...
Protected Member Functions inherited from pcl::PCLBase< PointInT >
bool | initCompute ()
| This method should get called before starting the actual computation. More...
bool | deinitCompute ()
| This method should get called after finishing the actual computation. More...
Protected Attributes inherited from pcl::FeatureFromNormals< PointInT, PointNT, PointOutT >
PointCloudNConstPtr | normals_
| A pointer to the input dataset that contains the point normals of the XYZ dataset. More...
Protected Attributes inherited from pcl::Feature< PointInT, PointOutT >
std::string | feature_name_
| The feature name. More...
SearchMethodSurface | search_method_surface_
| The search method template for points. More...
PointCloudInConstPtr | surface_
| An input point cloud describing the surface that is to be used for nearest neighbors estimation. More...
KdTreePtr | tree_
| A pointer to the spatial search object. More...
double | search_parameter_
| The actual search parameter (from either search_radius_ or k_). More...
double | search_radius_
| The nearest neighbors search radius for each point. More...
int | k_
| The number of K nearest neighbors to use for each point. More...
bool | fake_surface_
| If no surface is given, we use the input PointCloud as the surface. More...
Protected Attributes inherited from pcl::PCLBase< PointInT >
PointCloudConstPtr | input_
| The input point cloud dataset. More...
IndicesPtr | indices_
| A pointer to the vector of point indices to use. More...
bool | use_indices_
| Set to true if point indices are used. More...
bool | fake_indices_
| If no set of indices are given, we construct a set of fake indices that mimic the input PointCloud. More...

## Detailed Description

### template<typename PointInT, typename PointNT, typename PointOutT>
class pcl::PPFRGBRegionEstimation< PointInT, PointNT, PointOutT >

Definition at line 73 of file ppfrgb.h.

## Member Typedef Documentation

template<typename PointInT , typename PointNT , typename PointOutT >

typedef boost::shared_ptr<const PPFRGBRegionEstimation<PointInT, PointNT, PointOutT> > pcl::PPFRGBRegionEstimation< PointInT, PointNT, PointOutT >::ConstPtr

Definition at line 77 of file ppfrgb.h.

template<typename PointInT , typename PointNT , typename PointOutT >

typedef pcl::PointCloud<PointOutT> pcl::PPFRGBRegionEstimation< PointInT, PointNT, PointOutT >::PointCloudOut

Definition at line 86 of file ppfrgb.h.

template<typename PointInT , typename PointNT , typename PointOutT >

typedef boost::shared_ptr<PPFRGBRegionEstimation<PointInT, PointNT, PointOutT> > pcl::PPFRGBRegionEstimation< PointInT, PointNT, PointOutT >::Ptr

Definition at line 76 of file ppfrgb.h.

## Constructor & Destructor Documentation

template<typename PointInT , typename PointNT , typename PointOutT >

pcl::PPFRGBRegionEstimation< PointInT, PointNT, PointOutT >::PPFRGBRegionEstimation | ( |  | ) |

Definition at line 114 of file ppfrgb.hpp.

References pcl::computeRGBPairFeatures(), pcl::Feature< PointInT, PointOutT >::feature_name_, pcl::Feature< PointInT, PointOutT >::getClassName(), pcl::PCLBase< PointInT >::indices_, pcl::PCLBase< PointInT >::input_, pcl::FeatureFromNormals< PointInT, PointNT, PointOutT >::normals_, pcl::PointCloud< PointT >::points, pcl::PointCloud< PointT >::resize(), pcl::Feature< PointInT, PointOutT >::search_radius_, pcl::PointCloud< PointT >::size(), and pcl::Feature< PointInT, PointOutT >::tree_.

The documentation for this class was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/features/include/pcl/features/ppfrgb.h
- /build/pcl-6_P28C/pcl-1.7.2/features/include/pcl/features/impl/ppfrgb.hpp